;; w3m browser settings;

(require 'w3m)

;; This line disables w3m using in mail reading;
(setq mm-text-html-renderer 'w3m-standalone)

;; The following lines disables messages on cursor move;
(remove-hook 'w3m-after-cursor-move-hook 'w3m-print-this-url)
(remove-hook 'w3m-after-cursor-move-hook 'w3m-show-form-hint)

;; Installing default utility to browse URLs;
(setq browse-url-browser-function 'w3m-browse-url)

;; Selecting Google as default search engine for w3m;
(setq w3m-search-engine-alist
      '(
        ("google" "http://www.google.ru/search?q=%s&hl=ru&ie=koi8-r" koi8-r)
        ))
(setq w3m-search-default-engine "google")
